Open Lighting Architecture: ola::thread::CallbackThread Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
ola::thread::CallbackThread Class Reference

## Detailed Description

A thread which executes a Callback.

Inheritance diagram for ola::thread::CallbackThread:

## Public Types
typedef SingleUseCallback0< void > | VoidThreadCallback

## Public Member Functions
| CallbackThread (VoidThreadCallback *callback, const Options &options=Options())
Public Member Functions inherited from ola::thread::Thread
| Thread (const Options &options=Options())
| Create a new thread with the specified thread options.
virtual | ~Thread ()
| Destructor.
virtual bool | Start ()
| Start the thread and wait for the thread to be running.
virtual bool | FastStart ()
| Start the thread and return immediately.
virtual bool | Join (void *ptr=NULL)
| Join this thread.
bool | IsRunning ()
| Check if the thread is running.
ThreadId | Id () const
| Return the thread id.
std::string | Name () const
| Return the thread name.

## Protected Member Functions
void * | Run ()
| The entry point for the new thread.

## Additional Inherited Members
Static Public Member Functions inherited from ola::thread::Thread
static ThreadId | Self ()
| Returns the current thread's id.

## Constructor & Destructor Documentation

## ◆ CallbackThread()

ola::thread::CallbackThread::CallbackThread | ( | VoidThreadCallback * | callback,
|  | const Options & | options = Options() )
| inlineexplicit

Create a new CallbackThread.

Parameters

  callback | the callback to run in the new thread.
  options | the thread's options.

## Member Function Documentation

## ◆ Run()

void * ola::thread::CallbackThread::Run | ( |  | ) |
| inlineprotectedvirtual

The entry point for the new thread.

Returns
  A value returned to Join().

Sub classes must implement this.

Implements ola::thread::Thread.

The documentation for this class was generated from the following file:

- include/ola/thread/CallbackThread.h